Skip to main content
GET
/
products
/
{product_id}
/
localized-prices
JavaScript
import DodoPayments from 'dodopayments';

const client = new DodoPayments({
  bearerToken: process.env['DODO_PAYMENTS_API_KEY'], // This is the default and can be omitted
});

const listLocalizedPricesResponse = await client.products.localizedPrices.list(
  'pdt_R8AWMPiV8RyJElcCKvAID',
);

console.log(listLocalizedPricesResponse.items);
{
  "items": [
    {
      "amount": 123,
      "created_at": "2023-11-07T05:31:56Z",
      "id": "<string>",
      "product_id": "<string>",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

product_id
string
required

Product Id

Response

Active localized rules

items
object[]
required
Last modified on June 24, 2026